Skip to main content
GET
List brand locations

Authorizations

X-API-Key
string
header
required

Path Parameters

id
string<shortuuid>
required

URL-safe brand identifier.

Required string length: 22
Pattern: ^[23456789ABCDEFGHJKLMNPQRSTUVWXYZabcdefghijkmnopqrstuvwxyz]{22}$

Response

OK

id
string<shortuuid>
required

Identifier of the location.

Required string length: 22
Pattern: ^[23456789ABCDEFGHJKLMNPQRSTUVWXYZabcdefghijkmnopqrstuvwxyz]{22}$
name
string
required

Name of the location, such as 'Head office' or 'Bakery'.

address
string
required

Street address.

city
string
required

City.

state_province
string
required

State or province; empty when not applicable.

postal_code
string
required

Postal or ZIP code.

country
string
required

Country, as the brand writes it.

is_headquarters
boolean
required

Whether this is the brand's headquarters. At most one is.

created
string<date-time>
required

ISO-8601 creation timestamp.

modified
string<date-time>
required

ISO-8601 last-modified timestamp.